# Update a Tag

Renames a tag in the organization's tag list. The new name is applied to every entity that had previously been given the current tag, which can take additional time to be reflected across the system. If the current tag names a category (ends with `::`), every tag within that category is renamed to use the new category name as well. Tags are compared case-insensitively.

Endpoint: POST /v1/tags/rename
Version: v1
Security: ApiKey

## Request fields (application/json-patch+json):

  - `current_tag` (string, required)
    The existing tag to rename.
Tag names are structured as `CATEGORY::TAG_NAME`, with a `::` separating the category and tag name. Category names will be returned with `::` in their name.
**Example**: `Skills::` would indicate a category named skills. Further, `Skills::ActionScript` would indicate a tag named `ActionScript` within the `Skills` category.
New category and tag names may not start or end with whitespace, so creating `Skills:: ActionScript` is rejected. Whitespace within a name is allowed: `Front End::Dust Bringer` is valid.

  - `updated_tag` (string, required)
    The new value for the tag.
Tag names are structured as `CATEGORY::TAG_NAME`, with a `::` separating the category and tag name. Category names will be returned with `::` in their name.
**Example**: `Skills::` would indicate a category named skills. Further, `Skills::ActionScript` would indicate a tag named `ActionScript` within the `Skills` category.
New category and tag names may not start or end with whitespace, so creating `Skills:: ActionScript` is rejected. Whitespace within a name is allowed: `Front End::Dust Bringer` is valid.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

